package net.npaka.mediaplayerex;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.media.MediaPlayer;
import android.view.MotionEvent;
import android.view.View;

//サウンドの再生
public class MediaPlayerView extends View { 
    private MediaPlayer player;  //プレーヤー
    private boolean     playFlag;//再生フラグ
    
    //コンストラクタ
    public MediaPlayerView(Context context) {
        super(context);
        setBackgroundColor(Color.WHITE);

        //メディアプレーヤーの生成(1)
        try {
            player=MediaPlayer.create(context,R.raw.sample);
            player.prepare();
        } catch (Exception e) {
        }       
        playFlag=false;
        
        //フォーカス指定
        setFocusable(true);     
    }
    
    //描画
    @Override 
    protected void onDraw(Canvas canvas) {
        Paint paint=new Paint();       
        paint.setAntiAlias(true);
        paint.setTextSize(16);
        canvas.drawText("MediaPlayerEx",0,20,paint);
    }

    //タッチイベントの処理
    @Override
    public boolean onTouchEvent(MotionEvent event) {
        if (event.getAction()==MotionEvent.ACTION_DOWN) {
            try {
                //サウンドの再生(2)
                if (playFlag==false) {
                    playFlag=true;
                    player.seekTo(0);
                    player.start();
                } 
                //サウンドの停止(3)
                else {
                    playFlag=false;
                    player.pause();
                }
            } catch (Exception e) {
            }
        }
        return true;
    }     
}